#!/bin/sh
# 2008 Vitaly Lipatov (Etersoft)
# 2009 Baranov Denis (Etersoft)
# script for install new build in the chroot
# run with version public_rel private_rel
# example: install.sh SQL 1.0.10 eter25 eter18

# short version
VERSION=$1
ARCH=i586.rpm

ROOTDIR=/net/legacy/staging/$VERSION-$RELEASE

WINE_PATH=/var/ftp/pub/Etersoft/Wine-staging

#SYSTEM=ALTLinux/Sisyphus
SYSTEM=$(distr_info)

WINEDIR="$WINE_PATH/$VERSION/$SYSTEM"
TESTPKG=$WINEDIR/wine-$VERSION*$ARCH
RPMLIST="$WINEDIR/*.$ARCH"

epm checkpkg $TESTPKG || exit
# override from package
VERSION=$(epm print version $TESTPKG)
RELEASE=$(epm print release $TESTPKG)

echo $RPMLIST
for i in $RPMLIST ; do
    echo $i | grep -q devel && continue
    test -r "$i" && continue
    echo "Package $i is missed"
    exit 1
done

if [ -d $ROOTDIR/var/lib ] ; then
    echo "$ROOTDIR already exists. Check it first."
    exit 1
fi

mkdir -p $ROOTDIR/var/lib/rpm || exit 1
rpm --root $ROOTDIR --initdb || exit 1
rpm --root $ROOTDIR -ivh $RPMLIST --nodeps --noscripts || exit 1

#rm -f $VERSION
#ln -s $VERSION-$PUBREL-$PRIVREL-$PRIVVER $VERSION
